"""
MIT License

Copyright (c) 2017 Dominik Kopczynski   -   dominik.kopczynski {at} isas.de
                   Bing Peng   -   bing.peng {at} isas.de

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"""


####################################################################################
####### Parameter section
####################################################################################


# parameters that can be changed
tolerance = 0.85                # correlation threshold
with_anticorrelation = True     # consider anti-correlation? yes / no
min_cluster = 10                # minimal number of lipid for a valid cluster

# color map for the different, if your lipid category is missing, feel free to add like   "lipid-category": "color",
# or just change the color, if you don't like our preselection ;-)
color_map = {"Glycero": "orange",
             "Glycerophospho": "red",
             "Sphingo": "green",
             "Mediator": "blue",
             "Cholesterol": "purple",
             }

# flags what you want to be reported, everything by default
create_correlation_matrix = True
create_lipid_lipid_fraction = True
create_violin_plot = True
create_gml = True
#create_gml = False

# select one csv delimiter character
csv_delimiter = ","
#csv_delimiter = ";"


# please select only one position of the legend in the violin plot
violin_plot_legend_position = "upper left"
#violin_plot_legend_position = "center left"
#violin_plot_legend_position = "lower left"
#violin_plot_legend_position = "upper center"
#violin_plot_legend_position = "center"
#violin_plot_legend_position = "lower center"
#violin_plot_legend_position = "upper right"
#violin_plot_legend_position = "center right"
#violin_plot_legend_position = "lower right"


# please select only one position of the legend in the cluster bar plot
#cluster_components_legend_position = "upper left"
#cluster_components_legend_position = "center left"
#cluster_components_legend_position = "lower left"
#cluster_components_legend_position = "upper center"
#cluster_components_legend_position = "center"
#cluster_components_legend_position = "lower center"
cluster_components_legend_position = "upper right"
#cluster_components_legend_position = "center right"
#cluster_components_legend_position = "lower right"
